#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x3c418e3, "ip_local_out" },
	{ 0x2124474, "ip_send_check" },
	{ 0x4c8d3495, "nf_ct_attach" },
	{ 0x2c5dd9e6, "__icmp_send" },
	{ 0xa87b9447, "nf_ip_checksum" },
	{ 0xcf431fb8, "ip_route_me_harder" },
	{ 0xe677e1e2, "__alloc_skb" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0xd739017, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19e12210, "dev_queue_xmit" },
	{ 0xe73ca8bc, "skb_put" },
	{ 0x8bdaa83b, "skb_copy_bits" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "3B5E0C2D8ABC3F7879D4B30");
